﻿local Engine, Api, Locale, Settings = unpack(Immersive)

local Default = Engine:GetModule("Default")

-- Registers the element.
function Default:RegisterMultiBarBottomLeft()
	local settings = Settings:Get(self.Name).Elements["MultibarBottomLeft"]
	local bar = Api:RegisterElement("MultibarBottomLeft", settings)
	
	-- Add frames
	bar:AddFrame(MultiBarBottomLeft)
	
	-- Add conditions
	bar:AddConditionRange(settings.Conditions)

	-- Add hotspots
	bar:AddHotspot(MultiBarBottomLeft:GetRect())
end

-- Unregisters the element.
function Default:UnregisterMultiBarBottomLeft()
	Api:UnregisterElement("MultibarBottomLeft")
end